=== debian/changelog ===
libgeotiff-dfsg (1.4.2-2build1) zesty; urgency=medium

  * Rebuild against new libproj12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Nov 2016 12:29:00 +0100

libgeotiff-dfsg (1.4.2-2) unstable; urgency=medium

  * Add upstream patch to revert back including "geo_config.h".
    Caused librasterlite2 configure to fail (#836308).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Sep 2016 18:42:40 +0200

libgeotiff-dfsg (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 03:20:42 +0200

libgeotiff-dfsg (1.4.2~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 21:17:37 +0200

libgeotiff-dfsg (1.4.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop automake-subdir-objects.patch, applied upstream.
  * Don't patch Makefile.in, but only Makefile.am.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Aug 2016 16:35:46 +0200

libgeotiff-dfsg (1.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patch.
  * Override dh_autoreconf to run autogen.sh instead of `autoreconf -fi`.
  * Add patch to fix automake warning by adding subdir-objects option.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 18:31:37 +0200

libgeotiff-dfsg (1.4.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file to also match pre-releases.
  * Change Upstream-Contact to GeoTIFF mailinglist.
  * Refresh patches.
  * Update symbols, GTIFTiepointTranslate made static.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 16:16:32 +0200

libgeotiff-dfsg (1.4.1-4) unstable; urgency=medium

  * Add patch to not install makegeo, install source in examples instead.
  * Use dh-autoreconf instead of autotools-dev.
  * Add patch to add manpages for applygeo & geotifcp, and fix listgeo manpage.
  * Explicitly remove .la file, not installed.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 00:05:17 +0200

libgeotiff-dfsg (1.4.1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buidflags.
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 18:05:54 +0200

libgeotiff-dfsg (1.4.1-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update URLs in upstream metadata to use HTTPS.
  * Update watch file to handle common issues and other tar extensions.
  * Don't ignore symbols changes in dh_makeshlibs override.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Feb 2016 17:41:35 +0100
