=== debian/control ===
Source: libgeotiff-dfsg
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               dh-autoreconf,
               libjpeg-dev,
               libproj-dev,
               libtiff-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff-dfsg
Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff-dfsg.git
Homepage: https://geotiff.osgeo.org/

Package: libgeotiff-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgeotiff2 (= ${binary:Version}),
         libtiff-dev,
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based
 on the GeoTIFF library.

Package: libgeotiff2
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geotiff-bin,
          gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: geotiff-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeotiff-dev (<< 1.4.0-4)
Replaces: libgeotiff-dev (<< 1.4.0-4)
Suggests: gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.
